Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### applyMatrix()

Examples

    size(100, 100, P3D);
    noFill();
    translate(50, 50, 0);
    rotateY(PI/6);
    stroke(153);
    box(35);
    // Set rotation angles
    float ct = cos(PI/9.0);
    float st = sin(PI/9.0);
    // Matrix for rotation around the Y axis
    applyMatrix(  ct, 0.0,  st,  0.0,
                 0.0, 1.0, 0.0,  0.0,
                 -st, 0.0,  ct,  0.0,
                 0.0, 0.0, 0.0,  1.0);
    stroke(255);
    box(50);

Description | Multiplies the current matrix by the one specified through the parameters. This is very slow because it will try to calculate the inverse of the transform, so avoid it whenever possible. The equivalent function in OpenGL is glMultMatrix().

Syntax

    applyMatrix(n00, n01, n02, n03
                n04, n05, n06, n07
                n08, n09, n10, n11
                n12, n13, n14, n15)

Parameters

n00-n15 | float: numbers which define the 4x4 matrix to be multiplied

Returns | None
Usage | Web & Application
Related | pushMatrix() popMatrix() resetMatrix() printMatrix()

Updated on November 22, 2008 08:39:25pm PST